Bug 990257 - [abrt] nm-connection-editor-0.9.8.2-1.fc19: _gdk_x11_display_error_event: Process /usr/bin/nm-connection-editor was killed by signal 5 (SIGTRAP)
[abrt] nm-connection-editor-0.9.8.2-1.fc19: _gdk_x11_display_error_event: Pro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:a128a86dae4b1d1c484c00e5672...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 13:28 EDT by Michal Hlavinka
Modified: 2015-02-17 11:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:27:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.16 KB, text/plain)
2013-07-30 13:28 EDT, Michal Hlavinka
no flags Details
File: cgroup (137 bytes, text/plain)
2013-07-30 13:28 EDT, Michal Hlavinka
no flags Details
File: core_backtrace (2.95 KB, text/plain)
2013-07-30 13:28 EDT, Michal Hlavinka
no flags Details
File: dso_list (8.36 KB, text/plain)
2013-07-30 13:28 EDT, Michal Hlavinka
no flags Details
File: environ (2.43 KB, text/plain)
2013-07-30 13:28 EDT, Michal Hlavinka
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-30 13:28 EDT, Michal Hlavinka
no flags Details
File: maps (37.75 KB, text/plain)
2013-07-30 13:29 EDT, Michal Hlavinka
no flags Details
File: open_fds (306 bytes, text/plain)
2013-07-30 13:29 EDT, Michal Hlavinka
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2013-07-30 13:29 EDT, Michal Hlavinka
no flags Details
File: var_log_messages (5.69 KB, text/plain)
2013-07-30 13:29 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2013-07-30 13:28:20 EDT
Description of problem:
started nm-connection-editor via ssh -X, which usualy works, this time it crashed

Version-Release number of selected component:
nm-connection-editor-0.9.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        nm-connection-editor
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/nm-connection-editor
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 3
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2556
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #8 XIGetClientPointer at XGetCPtr.c:59
 #9 gdk_x11_device_manager_xi2_get_client_pointer at gdkdevicemanager-xi2.c:603
 #10 get_monitor_containing_pointer at gtkwindow.c:6662
 #11 center_window_on_monitor at gtkwindow.c:6686
 #12 gtk_window_compute_configure_request at gtkwindow.c:6806
 #13 gtk_window_move_resize at gtkwindow.c:6993
 #14 gtk_window_check_resize at gtkwindow.c:6287

Potential duplicate: bug 913370
Comment 1 Michal Hlavinka 2013-07-30 13:28:24 EDT
Created attachment 780759 [details]
File: backtrace
Comment 2 Michal Hlavinka 2013-07-30 13:28:29 EDT
Created attachment 780760 [details]
File: cgroup
Comment 3 Michal Hlavinka 2013-07-30 13:28:32 EDT
Created attachment 780761 [details]
File: core_backtrace
Comment 4 Michal Hlavinka 2013-07-30 13:28:41 EDT
Created attachment 780762 [details]
File: dso_list
Comment 5 Michal Hlavinka 2013-07-30 13:28:45 EDT
Created attachment 780763 [details]
File: environ
Comment 6 Michal Hlavinka 2013-07-30 13:28:48 EDT
Created attachment 780764 [details]
File: limits
Comment 7 Michal Hlavinka 2013-07-30 13:29:35 EDT
Created attachment 780766 [details]
File: maps
Comment 8 Michal Hlavinka 2013-07-30 13:29:41 EDT
Created attachment 780767 [details]
File: open_fds
Comment 9 Michal Hlavinka 2013-07-30 13:29:45 EDT
Created attachment 780768 [details]
File: proc_pid_status
Comment 10 Michal Hlavinka 2013-07-30 13:29:51 EDT
Created attachment 780769 [details]
File: var_log_messages
Comment 11 Jirka Klimes 2013-07-31 03:25:43 EDT
This looks like a problem in windows handling of Gtk. Was DISPLAY correctly set? Do you have multiple monitors?

Similar issues:
bug 973532
https://retrace.fedoraproject.org/faf/reports/27147/
Comment 12 Michal Hlavinka 2013-07-31 06:09:16 EDT
> This looks like a problem in windows handling of Gtk. Was DISPLAY correctly
> set?

I did not check, but successive execution of nm-connection-editor (in the same ssh -X session) worked fine.

> Do you have multiple monitors?

no
Comment 13 Fedora End Of Life 2015-01-09 14:10:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:27:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.